mtext_get_prop_values(3m17n)

NAME
mtext_get_prop_values - Get multiple values of a text property.

SYNOPSIS
int mtext_get_prop_values (MText * mt, int pos, MSymbol key, void ** values, int num)

DESCRIPTION
Get multiple values of a text property.

The mtext_get_prop_values() function searches the character at pos in M-text mt for the property whose key is key. If such a property is found, its values are stored in the memory area pointed to by values. num limits the maximum number of stored values.

RETURN VALUE

    If the operation was successful, mtext_get_prop_values() returns the number of actually stored values. If the character at pos does not have a property whose key is key, the return value is 0. If an error is detected, mtext_get_prop_values() returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE, MERROR_SYMBOL

SEE ALSO

    mtext_get_prop(), mtext_put_prop(), mtext_put_prop_values(), mtext_push_prop(), mtext_pop_prop(), mtext_prop_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.